> For a complete page index of the Captain API documentation, fetch https://docs.captain.dev/llms.txt?excludeSpec=true

# Algolia Get Object

GET https://acme.captain.dev/1/indexes/{index}/{objectID}

Get one object by its id, with a Captain search key, like Get Records. 404 when the index doesn't have it.

Reference: https://docs.captain.dev/reference/product-search/algolia-compatibility/algolia-get-object

## Authentication

- `x-algolia-api-key` header (required) — A Captain key, as Algolia clients send it: a search key for queries, a write key for writes.
- `x-algolia-application-id` header (required) — Any value; the hostname selects the tenant.

## Request

### Path parameters

- `index` (string, required)
- `objectID` (string, required)

## Response

### 200

the object

## Examples

**Response**

```json
{
  "title": "Moab 3 Mid Waterproof Hiking Boot",
  "brand": "Merrell",
  "category": "Hiking Boots",
  "price": 139,
  "rating": 4.6,
  "objectID": "sku-10482"
}
```

**SDK Code**

```python Python REST
import json
import requests

BASE_URL = "https://acme.captain.dev"
API_KEY = "your_search_key"
INDEX = "products"
OBJECT_ID = "sku-10482"

headers = {
    "x-algolia-api-key": API_KEY,
    "x-algolia-application-id": "acme",
}

response = requests.get(
    f"{BASE_URL}/1/indexes/{INDEX}/{OBJECT_ID}",
    headers=headers,
    timeout=30.0,
)

print(json.dumps(response.json(), indent=2))
```

```typescript TypeScript REST
const BASE_URL = "https://acme.captain.dev";
const API_KEY = "your_search_key";
const index = "products";
const objectID = "sku-10482";

const response = await fetch(`${BASE_URL}/1/indexes/${index}/${objectID}`, {
  method: "GET",
  headers: {
    "x-algolia-api-key": API_KEY,
    "x-algolia-application-id": "acme",
  },
});

const result = await response.json();
console.log(JSON.stringify(result, null, 2));
```